\chapter{Multivocal Literature Review Protocol}
\label{att:mrlprotocol}

Multivocal Literature Review considers traditional commercial and
non-commercial publications to build a comprehensive understanding of a
specific research field.

For this, we opted for the gray literature review as a starting point
and subsequently performed a systematic literature review. In this systematic
review of the literature, the search and selection protocol for publications
followed conventional patterns, already well established by software
engineering research.
From the publication sample obtained by applying the protocol, we established
a comparative content analysis of the findings of the grey literature review.

\section{Systematic Literature Review Protocol}
\label{att:slrprotocol}

\textbf{Research Questions}

RQ1. How do software engineering studies describe the current Linux development community model?

RQ1.2. Do Software Engineering studies already cover these topics?

RQ3. What are the possible gaps and opportunities for academic research in FLOSS development topics?

\textbf{Data Sources}

\begin{itemize}
\item Journal (Name of journal; Years searched; Any issues not searched)
\item Peer-reviewed Conference Proceedings (Title of proceedings; Name of conference (if different); Title translation (if necessary); Journal name (if published as part of a journal)
\end{itemize}

\textbf{Database}

\begin{itemize}
\item IEEExplore
\item ACM Digital library:
\item ScienceDirect/Elsevier (www.sciencedirect.com)
\item Springer (https://link.springer.com/)
\item Google scholar (scholar.google.com) [For double check]
\end{itemize}

\textbf{Search string}

After testing the search string presented in Table~\ref{tab:search_string},
we verify that some words combinations were more effective. It resulted in
a condensed search string, accepted by all database selected to collect
software engineering research publications.  

\textit{Full text: "Linux kernel" AND ("Development Model" OR "community Practices" OR "development Practices" OR "community Practices" OR "Development Process")}

\textbf{Eligibility criteria}

Interval time: 2009-2019+

\begin{itemize}
\item Published online in the selected database
\item Available in English
\item Most current version of the document
\item The Linux project is subject of study
\item Describe elements of Linux kernel development: practices and/or artifacts and/or processes and/or community characteristics
\item Include discussion on the Linux kernel community and members, not only technical issues: coding and/or new features
\end{itemize}

\textbf{Search process}

\begin{enumerate}
\item Test the efficiency of the search string by checking the search hits.
\item Define an efficient search string.
\item Apply the search string in the search tool on each database.
\item Export results to Mendeley.
\item Remove duplication in the same database and cross-database.
\item Export references to spreadsheets for filtering.
\item Evaluate the relevance of each venue.
\item Remove papers from venues with low relevance to the FLOSS and SE area.
\item Screen title. One reviewers.
\item Remove papers with title clearly out FLOSS/SE out of context the FLOSS and SE area.
\item Screen title and abstract. Two reviewers in parallel. Remove by exclusion criteria.
\item Full-text read to select primary studies.
\end{enumerate}

\textbf{Selection process}

We based on guidelines provided by \citet{Cochrane2008}.

\begin{enumerate}
\item Use (at least) two people working independently to determine whether each study meets the eligibility criteria.
\item One person screening titles and abstracts to remove irrelevant reports. Cochrane states that this step should be done in duplicate by two people working independently but it is acceptable that this initial screening is undertaken by only one person.
\item Two people working independently are used to make a final determination as to whether each study considered possibly eligible after title / abstract screening meets the eligibility criteria based on the full text of the study report(s).
\item It is important that at least one author is knowledgeable in the area under review, it may be an advantage to have a second author who is not a content expert.
\item Disagreements about whether a study should be included can generally be resolved by discussion. 
\item A single failed eligibility criterion is sufficient for a study to be excluded from a review. In practice, therefore, eligibility criteria for each study should be assessed in order of importance
\item Pilot test the eligibility criteria on a sample of reports.
\item The selection process must be documented in sufficient detail to be able to complete a flow diagram and a table of ‘Characteristics of excluded studies’
\end{enumerate}

\section{Content Analysis - Multivocal Literature Review}

\subsection{Content Analysis}

\textbf{Quantitative analysis} 

\begin{enumerate}
\item Extract raw text content from every paper selected;
\item Using a script for Natural Language Processing, plot the Word Cloud resulted for comparison and acquaintance;
\item Also take the word frequency, showing top words;
\item Finally, using the mind map resulted from Grey Literature review and the script processing, pre-define an initial group of core concepts.
\end{enumerate}

\textbf{Qualitative analysis} 

We based on a directed approach of content analysis~\citep{hsieh2005} for coding.

\begin{enumerate}
\item Use the GLR mind map and SLR Word Cloud findings as guidance for initial codes.  
\item For each publication selected, derive coding categories from the text data. This step includes counting and comparisons of GLR map keywords and statements of the examining document, in addition to interpretate the subjacent context.
\item Verify the application (or not) of the concepts identified in the publication in each GLR mind map branch.
\end{enumerate}
